DRM Playlist objects

Returns all media metadata and assets (images, tracks, conversions, manifests), formatted as JSON, needed to play media of a DRM playlist in a JWX player

📘

For DRM media, all requests to the Delivery API must be signed. As a result, both the media URL and its associated LAURLs are valid for only 10 minutes from when they are requested. When a multi-item playlist of DRM-protected media is provided to a player, an intermediary service must be used to retrieve valid LAURLs for each media.

Path Params
string
required

Eight-character, alphanumeric ID that uniquely identifies the DRM policy

string
required

Eight-character, alphanumeric ID (ex: WXu7kuaW) that uniquely identifies the playlist

You can find it in the playlist details page in the dashboard OR in the Management API in /channels.

Query Params
boolean

Ensures that a video result is always returned for dynamic playlists with a trending sort order, Article Matching playlists, or search playlists.

If no video results are explicitly returned for the given query, a Trending playlist is returned as the result.

For Article Matching playlists and dynamic playlist with a trending sort order, true is the default. For search playlists, false is the default.

boolean

Whether to provide a fallback if the requested source qualities do not exist

Default behavior is false.

When this parameter is true, the playlist will be populated with the next valid rendition, if one exists.

Use of this parameter is not recommended, but it is available to provide similar behavior to legacy feed generation logic.

exclude_media_filtering
array of strings

Filter for playlists to exclude assets with certain media custom parameters

Specified as a URL-encoded, comma-separated list of name:value-formatted media custom parameter(s).
Parameter values are assumed not to contain commas.

By default, only assets with all specified custom parameters are excluded.
The default behavior can be overridden by exclude_media_filtering_mode.

exclude_media_filtering
string
enum

Filtering behavior for exclude_media_filtering

Possible values:

  • all: (default) Excludes assets with every custom parameter
  • any: Excludes assets with at least one custom parameter

Works with all playlists (channels) except manual.

Allowed:
exclude_tags
array of strings

Filter for playlists to exclude assets with certain media tags

Specified as a URL-encoded, comma-separated list of media tag(s).
Tags are assumed not to contain commas.

By default, only assets with all specified tags are excluded.
The default behavior can be overridden by exclude_tags_mode.

exclude_tags
string
enum

Filtering behavior for exclude_tags

Possible values:

  • all: (default) Excludes assets with every tag
  • any: Excludes assets with at least one tag

Works with all playlists (channels) except manual.

Allowed:
media_filtering
array of strings

Filter for playlists to include assets with certain media custom parameters

Specified as a URL-encoded, comma-separated list of name:value-formatted media custom parameter(s).
Parameter values are assumed not to contain commas.

By default, only assets with all specified custom parameters are included.
The default behavior can be overridden by media_filtering_mode.

media_filtering
string
enum

Filtering behavior for media_filtering

Possible values:

  • all: (default) Includes assets with every custom parameter
  • any: Includes assets with at least one custom parameter

Works with all playlists (channels) except manual.

Allowed:
integer
≤ 500

The maximum number of items per page

For Similar Video, Search, and Article Matching playlists, the maximum value is 100.
For Manual and Dynamic playlists, the maximum value is 500.

This overrides dashboard or management API settings when included with a request.

integer

The number of items to offset for paginated requests

Values can be from 1 to N where N is the last possible item of a given playlist.

integer
enum

The width of poster images to include with the playlist

By default, the playlist will include 720-pixel-wide images which is a good balance between quality and page speed for most playlist thumbnail applications.

Possible values:

  • 40
  • 120
  • 320
  • 480
  • 720
  • 1280
  • 1920
Allowed:
string

Filter for playlists based on the number of days or years passed since the publish date of a given media asset

Use the format of _D or _YR.

Examples:

  • 9D will only serve media assets published less than 9 days ago
  • 2YR will only serve media assets published less than 2 years ago.

When appended to an API request, this query parameter only applies when the playlist recency value is left unpopulated.

string

Eight-character, alphanumeric ID (ex: wZuMVmMk) that uniquely identifies the recommendations playlist to use

If no recommendations_playlist_id is included, the playlist will use the default recommendations 'similar video' playlist for the property.

string
string

(Required for Search and Article Matching playlists) URL-encoded search phrase of one or more words separated by spaces, phrases contained by double quotes, or both.

JWX indexes and searches media metadata, such as titles and descriptions, and returns the most relevant results. By default, tags are included in Article Matching playlist searches. Tags are not included in Search playlist searches by default, and only when "use_tags": true is set.

Input text is broken into terms by whitespace and commas. For Article Matching playlists, set the search query to __CONTEXTUAL__.

sources
array of strings

The media sources included in the playlist

This is a comma-separated list of values in the order in which they should appear in the playlist.

One can specify sources by adaptive streaming formats (dash, hls), quality levels (ex: 1080p, 720p, 1920px), or legacy template IDs.

Note that mixing the way the sources are specified may have unexpected results.

sources
tags
array of strings

Filter for playlists to include assets with certain media tags

Specified as a URL-encoded, comma-separated list of media tag(s).
Tags are assumed not to contain commas.

By default, only assets with all specified tags are included.
The default behavior can be overridden by tags_mode.

tags
string
enum

Filtering behavior for tags

Possible values:

  • all: (default) Includes assets with every tag
  • any: Includes assets with at least one tag

Works with all playlists (channels) except manual.

Allowed:
string

Signature for requests to the Content API for protected content

It consists of a JSON Web Token (JWT) containing the parameters of the request.

When requested with no signature to prevent unauthorized access to videos, unsigned video URLs are returned.

More information is available in the developer guide.

boolean

(Search playlists only) Includes tags in the considered metadata.

Default: false.

Headers
string
enum
Defaults to application/json; charset=utf-8

Generated from available response content types

Responses

403

Access is Forbidden

This error commonly occurs when a user either does not have a token or uses an invalid token to request an asset that requires URL signing. It may also occur due to geoblocking, account suspension, deletion, or limits reached.

404

Not Found

The requested asset could not be found.

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; charset=utf-8
description
feedid
feed_instance_id
kind
links
playlist
title
© 2007- Longtail Ad Solutions, Inc.